Bug 1685332 - Service catalog needs system-cluster-critical priority class
Summary: Service catalog needs system-cluster-critical priority class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Dan Geoffroy
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 01:04 UTC by Jessica Forrester
Modified: 2019-06-04 10:45 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:12 UTC

Description Jessica Forrester 2019-03-05 01:04:56 UTC
We need our platform components to set the system-cluster-critical priorityClassName on their workloads. More detail here:
https://github.com/openshift/origin/pull/22217

For service catalog this means updating the deployments that generate these pods:
openshift-svcat-apiserver-operator/openshift-svcat-apiserver-operator-586bd7dc64-vl2qt,
openshift-svcat-controller-manager-operator/openshift-svcat-controller-manager-operator-7f8fbc8fb4-8bwbx

Note: the test in the linked PR above runs on what is installed by default, so it is only flagging the svc catalog operators. But when service catalog is enabled we need to ensure the actual apiserver and controller manager pods are also running with system-cluster-critical priority class.

Comment 3 Jian Zhang 2019-03-11 08:10:54 UTC
The current payload doesn't include the fixed PR, change status to MODIFIED.
Cluster version is 4.0.0-0.nightly-2019-03-06-074438

Comment 5 Jian Zhang 2019-03-14 08:25:40 UTC
LGTM, verify it.

Current version: 4.0.0-0.nightly-2019-03-13-233958

[jzhang@dhcp-140-18 ocp14]$ oc get pods -o yaml -n openshift-service-catalog-controller-manager-operator |grep priority
    priority: 2000000000
    priorityClassName: system-cluster-critical
[jzhang@dhcp-140-18 ocp14]$ oc get pods -o yaml -n openshift-service-catalog-apiserver-operator |grep priority
    priority: 2000000000
    priorityClassName: system-cluster-critical

[jzhang@dhcp-140-18 ocp14]$ oc get pods -o yaml -n openshift-service-catalog-apiserver  |grep priority
    priority: 2000000000
    priorityClassName: system-cluster-critical

[jzhang@dhcp-140-18 ocp14]$ oc get pods -o yaml -n openshift-service-catalog-controller-manager   |grep priority
    priority: 2000000000
    priorityClassName: system-cluster-critical

Comment 8 errata-xmlrpc 2019-06-04 10:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.